Skip to main content
POST
Save object view
Required scopes: data_objects.views.manage

Authorizations

Authorization
string
header
required

Use Authorization: Bearer rk_live_....

Headers

Idempotency-Key
string
required

A unique value for each new request, such as a UUID. Send the same value to retry a request safely. The same key and payload replay the first response with Idempotency-Replayed: true.

Required string length: 1 - 160

Path Parameters

object_id
string
required

Object id, system key such as system:leads, or slug from discovery.

Required string length: 1 - 200

Body

application/json
name
string
required
Maximum string length: 120
view_type
enum<string>
required
Available options:
table,
kanban,
list
view_id
string
config_json
string
group_by_field_id
string | null
is_default
boolean

Response

View saved.

id
string
required
seeded_status_field
object | null